<?php

require_once('../model/Response.php');

function checkJson($rowPostData)
{
    $jsonData = json_decode($rowPostData);

    if (!$jsonData) {
        $response = new Response();
        $response->setHttpStatusCode(400);
        $response->setSuccess(false);
        $response->addMessage("Request body is not valid JSON");
        $response->send();
        exit;
    }

    return $jsonData;
}
